- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vexata_eg – Manage export groups on Vexata VX100 storage arrays

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- Create or delete export groups on a Vexata VX100 array.

- An export group is a tuple of a volume group, initiator group and port group that allows a set of volumes to be exposed to one or more hosts through specific array ports.

## Requirements

The below requirements are needed on the host that executes this module.

- Vexata VX100 storage array with VXOS >= v3.5.0 on storage array

- vexatapi >= 0.0.1

- python >= 2.7

- VEXATA_USER and VEXATA_PASSWORD environment variables must be set if user and password arguments are not passed to the module directly.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
array string / required |  | Vexata VX100 array hostname or IPv4 Address.
ig string |  | Initiator group name.
name string / required |  | Export group name.
password string |  | Vexata API user password.
pg string |  | Port group name.
state string | Choices: present ← absent | Creates export group when present or delete when absent.
user string |  | Vexata API user with administrative privileges.
validate_certs boolean | Choices: no ← yes | Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted. If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.
vg string |  | Volume group name.

## Examples

    - name: Create export group named db_export.
      vexata_eg:
        name: db_export
        vg: dbvols
        ig: dbhosts
        pg: pg1
        state: present
        array: vx100_ultra.test.com
        user: admin
        password: secret

    - name: Delete export group named db_export
      vexata_eg:
        name: db_export
        state: absent
        array: vx100_ultra.test.com
        user: admin
        password: secret

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Sandeep Kasargod (@vexata)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.